Skip to main content

Disable Multi Factor Authentication. Replaced by DELETE /v2/users/self/credentials/mfa

DELETE/v2/signup/mfa
API version
v2
Request method
DELETE
Operation ID
deprecated-user-disable-mfa

Request​

Responses​

Format
application/json
Description

Multi Factor Authentication was disabled.

    Content-Type: application/json

    {}
    {
    "type": "object"
    }

    Usage examples​

    $ curl \
    --fail \
    --location \
    -X DELETE \
    -d '{"multiFactorCode":"string"}' \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    -H 'Content-Type: application/json' \
    https://api.mittwald.de/v2/signup/mfa
    import { MittwaldAPIV2Client } from "@mittwald/api-client";
    import { assertStatus } from "@mittwald/api-client-commons";

    const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
    const response = await client.user.deprecatedUserDisableMfa({
    "data": {
    "multiFactorCode": "string"
    }
    });

    assertStatus(response, 200);

    use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserDisableMfa\DeprecatedUserDisableMfaRequest;
    use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserDisableMfa\DeprecatedUserDisableMfaRequestBody;

    $client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

    // TODO: Please consult the properties and constructor signature of
    // DeprecatedUserDisableMfaRequestBody to learn how to construct a valid instance
    $body = new DeprecatedUserDisableMfaRequestBody(/* TODO: ... */);

    $request = (new DeprecatedUserDisableMfaRequest(
    body: $body
    ));
    $response = $client->user()->deprecatedUserDisableMfa($request);

    var_dump($response->getBody();

    On this page